﻿using UnityEngine;
using System.Collections;

public class cameraRotate : MonoBehaviour {
	public GameObject bg1, bg2;
	public Camera cameraUnderwater;
	public Camera cameraAbove;
	public Transform player2;
	bool world1 = true;
	private Matrix4x4 mat2;
	private Matrix4x4 mat1;
	public AudioSource music1,music2, soundeff;
	// Use this for initialization
	void Start () {
		music1.mute = false;
		music2.mute = true;
		mat2 = cameraUnderwater.projectionMatrix;
		mat1 = cameraAbove.projectionMatrix;
		mat2 *= Matrix4x4.Scale(new Vector3(-1, 1, 1));
		cameraUnderwater.projectionMatrix = mat2;
		cameraUnderwater.rect = new Rect(0, 0, 1, 0.5f);


		mat1 *= Matrix4x4.Scale(new Vector3(1, 1, 1));
		cameraAbove.projectionMatrix = mat1;
		cameraAbove.rect = new Rect(0, 0.5f, 1, 0.5f);
	}
	
	// Update is called once per frame
	void Update () {
		bg1.transform.position = new Vector3(cameraAbove.transform.position.x,cameraAbove.transform.position.y, 1);
		bg2.transform.position = new Vector3(cameraUnderwater.transform.position.x,cameraUnderwater.transform.position.y, 1);


		if (Input.GetKeyDown(KeyCode.Space)){
			if (world1){

				mat2 *= Matrix4x4.Scale(new Vector3(-1, 1, 1));
				cameraUnderwater.projectionMatrix = mat2;
				cameraUnderwater.rect = new Rect(0, 0.5f, 1, 0.5f);
				cameraUnderwater.transform.rotation = Quaternion.Euler(0, 0, 0);
		
			
				

				mat1 *= Matrix4x4.Scale(new Vector3(-1, 1, 1));
				cameraAbove.projectionMatrix = mat1;
				cameraAbove.rect = new Rect(0, 0, 1, 0.5f);
				cameraAbove.transform.rotation = Quaternion.Euler(0, 0, 180);
		
				world1 = false;
				music1.mute = true;
				music2.mute = false;
				soundeff.pitch = 2f;
			}
			else if (!world1){

				mat2 *= Matrix4x4.Scale(new Vector3(-1, 1, 1));
				cameraUnderwater.projectionMatrix = mat2;
				cameraUnderwater.rect = new Rect(0, 0, 1, 0.5f);
				cameraUnderwater.transform.rotation = Quaternion.Euler(0, 0, 180);

				

				mat1 *= Matrix4x4.Scale(new Vector3(-1, 1, 1));
				cameraAbove.projectionMatrix = mat1;
				cameraAbove.rect = new Rect(0, 0.5f, 1, 0.5f);
				cameraAbove.transform.rotation = Quaternion.Euler(0, 0, 0);
			
				world1 = true;
				music2.mute = true;
				music1.mute = false;
				soundeff.pitch = 1f;
			    }
		}

		this.transform.position = new Vector3(player2.transform.position.x, this.transform.position.y,this.transform.position.z);
	}
}
