﻿using UnityEngine;
using System.Collections;

public class EnemySpawn : MonoBehaviour {
	public GameObject player, enemyBird,enemyFish;
	public float playerPosX, amountEnemies;
	public int randomBird,randomFish;
	// Use this for initialization
	void Start () {
		amountEnemies = 3;
		StartCoroutine(EnemyTimer());
	}
	
	// Update is called once per frame
	void Update () {

		playerPosX = player.transform.position.x;



		//making level harder
		if ((playerPosX > 0) && (playerPosX < 30)){
			amountEnemies = 3;
		}
		if ((playerPosX > 30) && (playerPosX < 50)){
			amountEnemies = 2.5f;
		}
		if ((playerPosX > 50) && (playerPosX < 70)){
			amountEnemies = 2;
		}
		if ((playerPosX > 70) && (playerPosX < 90)){
			amountEnemies = 1.6f;
		}
		if ((playerPosX > 90) && (playerPosX < 110)){
			amountEnemies = 1.4f;
		}
		
		
	}

	IEnumerator EnemyTimer()
	{
		while(true)
		{
			randomBird = Random.Range (0,100);
			randomFish = Random.Range (0,100);
			if (randomBird < 25){
			GameObject enemyBirdInstance = (GameObject)Instantiate(enemyBird);
			enemyBirdInstance.transform.position = new Vector3(playerPosX + 30,Random.Range(4,6) ,0);
			}
			if (randomFish < 25){
				GameObject enemyFishInstance = (GameObject)Instantiate(enemyFish);
				enemyFishInstance.transform.position = new Vector3(playerPosX + 30,Random.Range(14,16) ,0);
			}
			yield return new WaitForSeconds(amountEnemies);
		}
	}
}





