﻿using UnityEngine;
using System.Collections;

public class Movement : MonoBehaviour {
	public AudioSource player1AudioSource;
	public AudioClip audioDie, audioJump;

	public float maxSpeed = 10f;
	bool facingRight = true;
	Animator anim;
	//falling

	bool grounded = false;
	public Transform groundCheck;
	float groundRadius = 0.2f;
	public LayerMask whatIsGround;

	public float jumpForce = 700f;

	// Use this for initialization
	void Start () {
		anim = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void FixedUpdate () {

		grounded = Physics2D.OverlapCircle(groundCheck.position, groundRadius, whatIsGround);
		anim.SetBool("Ground", grounded);

		anim.SetFloat ("vSpeed", rigidbody2D.velocity.y);


		float move = Input.GetAxis ("Horizontal");
		anim.SetFloat("Speed",Mathf.Abs(move));

		rigidbody2D.velocity = new Vector2(move * maxSpeed, rigidbody2D.velocity.y);

		if ((move > 0) && (!facingRight)){
			Flip();
		}
		else if ((move < 0) && (facingRight)){
			Flip();
		}

//		if (Input.GetKeyDown(KeyCode.RightArrow)){
//		if (!facingRight){
//				Flip();
//			}
//		rigidbody2D.velocity = new Vector2(maxSpeed, rigidbody2D.velocity.y);
//		}
//	if (Input.GetKeyDown(KeyCode.LeftArrow)){
//	if (facingRight){
//				Flip();
//			}
//			rigidbody2D.velocity = new Vector2(-maxSpeed, rigidbody2D.velocity.y);
//		}
	}

	void Update(){
		if ((grounded) && (Input.GetKeyDown(KeyCode.UpArrow))){
			anim.SetBool("Ground",false);
			player1AudioSource.audio.clip = audioJump;
			player1AudioSource.audio.Play();
			rigidbody2D.AddForce(new Vector2(0, jumpForce));
		}

		//if (
	}
	void OnCollisionEnter2D(Collision2D coll) {
		if (coll.gameObject.tag == "Enemy"){
	//	player1AudioSource.audio.clip = audioDie;
	//	player1AudioSource.audio.Play();
		Application.LoadLevel("GameOver");

		}
	}


	
	void Flip(){
		facingRight = !facingRight;
		Vector3 theScale = transform.localScale;
		theScale.x *= -1;
		transform.localScale = theScale;
	}

}
